Package: src:node-ebnf-parser
Version: 0.1.10+dfsg-1
Severity: serious

Dear maintainer:

I tried to build this package in stretch with "dpkg-buildpackage -A"
(which is what the "Arch: all" autobuilder would do to build it)
but it failed:

--------------------------------------------------------------------------------
[...]
 debian/rules build-indep
dh build-indep
   dh_testdir -i
   dh_update_autotools_config -i
   dh_auto_configure -i
   dh_auto_build -i
        make -j1
make[1]: Entering directory '/<<BUILDDIR>>/node-ebnf-parser-0.1.10+dfsg'
npm install
npm ERR! Error: Attempt to unlock test@*, which hasn't been locked
npm ERR!     at unlock (/usr/share/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/share/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/share/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/share/npm/lib/utils/locker.js:22:20
npm ERR!     at /usr/share/npm/node_modules/inflight/inflight.js:22:7
npm ERR!     at Array.forEach (native)
npm ERR!     at res (/usr/share/npm/node_modules/inflight/inflight.js:21:9)
npm ERR!     at /usr/lib/nodejs/once.js:17:15
npm ERR!     at afterMkdir (/usr/share/npm/lib/cache/get-stat.js:53:14)
npm ERR!     at /usr/lib/nodejs/mkdirp/index.js:34:29
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Linux 4.7.0-1-amd64
npm ERR! command "/usr/bin/nodejs" "/usr/bin/npm" "install"
npm ERR! cwd /<<BUILDDIR>>/node-ebnf-parser-0.1.10+dfsg
npm ERR! node -v v4.6.0
npm ERR! npm -v 1.4.21
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /<<BUILDDIR>>/node-ebnf-parser-0.1.10+dfsg/npm-debug.log
npm ERR! not ok code 0
Makefile:5: recipe for target 'install' failed
make[1]: *** [install] Error 1
make[1]: Leaving directory '/<<BUILDDIR>>/node-ebnf-parser-0.1.10+dfsg'
dh_auto_build: make -j1 returned exit code 2
debian/rules:8: recipe for target 'build-indep' failed
make: *** [build-indep] Error 2
dpkg-buildpackage: error: debian/rules build-indep gave error exit status 2
--------------------------------------------------------------------------------

The relevant part of the build log is included above.

When I try again, the error may be different. These are the errors I got:

npm ERR! Error: Attempt to unlock git://github.com/zaach/jison.git, which 
hasn't been locked
npm ERR! Error: Attempt to unlock lex-parser@0.1.0, which hasn't been locked
npm ERR! Error: Attempt to unlock test@*, which hasn't been locked

If I don't use sbuild but try to build it by hand, the error is also different:

npm install
npm WARN `git config --get remote.origin.url` returned wrong result 
(git://github.com/zaach/jison.git) undefined
npm WARN `git config --get remote.origin.url` returned wrong result 
(git://github.com/zaach/jison.git) undefined
npm ERR! git clone git://github.com/zaach/jison.git undefined
npm ERR! git clone git://github.com/zaach/jison.git undefined
npm ERR! not found: git
npm ERR! 
npm ERR! Failed using git.
npm ERR! This is most likely not a problem with npm itself.
npm ERR! Please check if you have git installed and in your PATH.

npm ERR! System Linux 4.7.0-1-amd64
npm ERR! command "/usr/bin/nodejs" "/usr/bin/npm" "install"
npm ERR! cwd /tmp/20161012/node-ebnf-parser-0.1.10+dfsg
npm ERR! node -v v4.6.0
npm ERR! npm -v 1.4.21
npm ERR! code ENOGIT

If this is really a bug in one of the build-depends, please use reassign and 
affects,
so that this is still visible in the page for this package.

Thanks.

-- 
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to